﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.6
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Esmf
{
    public class ParameterValueNonDimensional<T> : ParameterValue
    {
        private T _value;

        public ParameterValueNonDimensional(string name, int id, T value)
            : base(name, id)
        {
            _value = value;
        }

        public T Value { get { return _value; } }

        public ParameterValueElementNonDimensional<T> Element { get { return new ParameterValueElementNonDimensional<T>(Name, Id, _value); } }
    }
}
