﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.6
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Esmf
{
    public class ParameterValueElement1Dimensional<T> : ParameterValueElement<T>
    {
        public ParameterValueElement1Dimensional(string name, int id, int index, T value)
        {
            Name = name;
            Id = id;
            Index = index;
            Value = value;
        }

        public string Name { get; private set; }
        public int Id { get; private set; }
        public int Index { get; private set; }
    }
}
