﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.6
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Esmf
{
    public class ParameterValueElementNonDimensional<T> : ParameterValueElement<T>
    {
        public ParameterValueElementNonDimensional(string name, int id, T value)
        {
            Name = name;
            Id = id;
            Value = value;
        }

        public string Name { get; private set; }
        public int Id { get; private set; }
    }
}
